/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 11.03.2025
 * @author Fesenko 
 */

public class Auto {
  
  // Anfang Attribute
  private int anzahlTueren;
  public String hersteller;
  private String typ;
  private int kilometerStand;
  private double tankinhalt;
  private double tankvebrauch;
  public double maxTankinhalt;
  // Ende Attribute
  
  // Anfang Methoden
  public int getAnzahlTueren() {
    return anzahlTueren;
  }

  public void setAnzahlTueren(int anzahlTuerenNeu) {
    if(anzahlTuerenNeu < 2 || anzahlTuerenNeu < 7) {
      anzahlTueren = anzahlTuerenNeu;
    }
    else {
      System.out.println("Zu viel Türen");
    } // end of if-else
    
  }

  public int getKilometerStand() {
    return kilometerStand;
  }

  public void setKilometerStand(int kilometerStandNeu) {
    kilometerStand = kilometerStandNeu;
  }

  public void fahren(int km) {
    if(km <= ((100)/tankvebrauch)*tankinhalt) {
      System.out.println("Gefahren: " + km + " km!");
      kilometerStand += km;
      tankinhalt -= (km*(tankvebrauch/100));
    }
    else {
      System.out.println("man könnte nur: " + ((100)/tankvebrauch)*tankinhalt + " km maximal fahren!");
    } 
    
    
  }

  public double getTankinhalt() {
    return tankinhalt;
  }

  public void setTankinhalt(double tankinhaltNeu) {
    tankinhalt = tankinhaltNeu;
  }

  public double getTankvebrauch() {
    return tankvebrauch;
  }

  public void setTankvebrauch(double tankvebrauchNeu) {
    tankvebrauch = tankvebrauchNeu;
  }

  public void tanken(double anzahl) {
    if(anzahl+tankinhalt > maxTankinhalt) {
      System.out.println("Es ist zu viel");
      
    } 
    else {
      tankinhalt += anzahl;
    } // end of if-else
    
  }

  // Ende Methoden
} // end of Auto
